Bug 1270451 - Don't show packages from lower priority repos which are masked/blocked by higher prority repo packages
Don't show packages from lower priority repos which are masked/blocked by hig...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
24
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 03:35 EDT by Davide Repetto
Modified: 2017-06-09 15:06 EDT (History)
8 users (show)

See Also:
Fixed In Version: dnf-2.5.0-2.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-09 15:06:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Repetto 2015-10-10 03:35:57 EDT
Description of problem:
=======================
Packages skipped due to priorities are listed within "Skipping packages with broken dependencies"
Shouldn't they be listed under "Skipping packages due to priorities"?

Version-Release number of selected component:
=============================================
dnf-plugins-core-0.1.12-3.fc22.noarch
dnf-1.1.2-4.fc22.noarch


How reproducible:
=================
Always
Comment 1 Jaroslav Mracek 2015-10-13 10:42:32 EDT
We think that the output will be confusing if we change current output.
Comment 2 Davide Repetto 2015-10-13 12:38:19 EDT
Well, actually it is really confusing now, because it tells you an outright lie.
It states that there are "broken dependencies" when actually there are none. And this *is* the definition of "confusing".

On the other hand I fail to see how replacing this *false* statement with a factually correct one could generate any confusion.

Please reconsider fixing this. Because a false warning is a nuisance at best and in this case it is even more. A real issue that can make people run around in circles for hours trying to fix an inexistent problem.

NOTE:
I've actually had multiple reports from custromers asking "how to FIX those pesky broken dependecies that just won't go away".
Comment 3 Michael Mráka 2015-10-13 15:33:01 EDT
Packages from lower priority repos which are masked/blocked by higher prority repo packages should not be listed at all.
Comment 4 Davide Repetto 2015-10-14 12:50:34 EDT
(In reply to Michael Mráka from comment #3)
> Packages from lower priority repos which are masked/blocked by higher
> prority repo packages should not be listed at all.

This would be even better, because it may solve the problem with gnome-software, which sees priority-excluded packages show over and over again and failing to upgrade due to missing dependencies every single time.
Comment 5 Jaroslav Mracek 2015-10-21 09:11:59 EDT
We can fix it.
Comment 6 MaxiPunkt 2015-11-09 12:03:51 EST
As I understood it, the warning message was introduced for another scenario described in bug #1210445

The only problem is that the same warning now is used for packages skipped for priority-reasons as well, which indeed is misleading - as the dependencies are not broken in this case.

If it's not possible to implement a separate warning-message in case of priority-reasons - what about renaming the warning-message to a) something more general or b) meeting both scenarios:
a) "Skipping packages for dependency reasons:"
b) "Skipping packages with higher priority or broken dependencies:"


What do you think?
Comment 7 Jim 2016-04-22 00:33:17 EDT
This is a misleading situation currently. An improved error message would be the best alternative.
Comment 8 Fedora Admin XMLRPC Client 2016-07-08 05:30:46 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora End Of Life 2016-07-19 14:10:34 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Michael Mráka 2016-07-20 05:19:44 EDT
Seems it's already been fixed:

# dnf install vim-enhanced
Last metadata expiration check: 0:33:43 ago on Wed Jul 20 10:36:34 2016.
Dependencies resolved.
==========================================================================================================
 Package                   Arch              Version                       Repository                Size
==========================================================================================================
Installing:
 gpm-libs                  x86_64            1.20.7-9.fc24                 fedora                    36 k
 perl-Carp                 noarch            1.38-2.fc24                   fedora                    28 k
 perl-Exporter             noarch            5.72-349.fc24                 fedora                    33 k
 perl-libs                 x86_64            4:5.22.2-361.fc24             updates                  1.4 M
 vim-common                x86_64            2:7.4.1868-1.fc24             updates                  6.3 M
 vim-enhanced              x86_64            2:7.4.1868-1.fc24             updates                  1.2 M
 vim-filesystem            x86_64            2:7.4.1868-1.fc24             updates                   29 k

Transaction Summary
==========================================================================================================
Install  7 Packages

Total download size: 9.0 M
Installed size: 35 M
Is this ok [y/N]: n

# dnf install vim-enhanced --setopt fedora.priority=10
Last metadata expiration check: 0:39:41 ago on Wed Jul 20 10:36:34 2016.
Dependencies resolved.
==========================================================================================================
 Package                   Arch              Version                       Repository                Size
==========================================================================================================
Installing:
 gpm-libs                  x86_64            1.20.7-9.fc24                 fedora                    36 k
 perl-Carp                 noarch            1.38-2.fc24                   fedora                    28 k
 perl-Exporter             noarch            5.72-349.fc24                 fedora                    33 k
 perl-libs                 x86_64            4:5.22.2-359.fc24             fedora                   1.4 M
 vim-common                x86_64            2:7.4.1718-1.fc24             fedora                   6.6 M
 vim-enhanced              x86_64            2:7.4.1718-1.fc24             fedora                   1.2 M
 vim-filesystem            x86_64            2:7.4.1718-1.fc24             fedora                    25 k

Transaction Summary
==========================================================================================================
Install  7 Packages

Total size: 9.3 M
Total download size: 9.2 M
Installed size: 31 M
Is this ok [y/N]: n

# rpm -q dnf
dnf-1.1.9-2.fc24.noarch
Comment 11 Davide Repetto 2016-07-20 06:31:05 EDT
True, my bad. I didn't check with the latest update of dnf.
Thanks!
Comment 12 Davide Repetto 2016-07-27 12:39:05 EDT
Actually it's still there when there's nothing else to install:

[root@dave ~]# LANG=C dnf upgrade
Last metadata expiration check: 2:44:54 ago on Wed Jul 27 15:47:10 2016.
Dependencies resolved.
=====================================================================================================================================
 Package                         Arch             Version                              Repository                               Size
=====================================================================================================================================
Skipping packages with broken dependencies:
 audacity-freeworld              x86_64           2.1.2-2.fc24.R                       russianfedora-free-updates              5.2 M
 faac                            x86_64           1.28-7.fc24.R                        russianfedora-free                       83 k
 flash-plugin                    x86_64           7:11.2.202.632-1.fc24.R              russianfedora-nonfree-updates           5.5 M
 fontconfig                      i686             2.11.94-6.fc24.R                     russianfedora-fixes                     247 k
 fontconfig                      x86_64           2.11.94-6.fc24.R                     russianfedora-fixes                     241 k
 freetype                        i686             2.6.3-2.fc24.R                       russianfedora-fixes                     371 k
 freetype                        x86_64           2.6.3-2.fc24.R                       russianfedora-fixes                     365 k
 gstreamer-plugins-bad           x86_64           0.10.23-7.fc24.R                     russianfedora-free                      170 k
 mpv                             x86_64           1:0.18.1-1.fc24.R                    russianfedora-free-updates              1.0 M
 rar                             x86_64           1:5.3.0-1.fc24.R                     russianfedora-nonfree                   263 k
 taglib                          i686             1.11-1.fc24.R                        russianfedora-fixes-updates             342 k
 taglib                          x86_64           1.11-1.fc24.R                        russianfedora-fixes-updates             310 k
 unrar                           x86_64           1:5.3.0-1.fc24.R                     russianfedora-nonfree                   135 k

Transaction Summary
=====================================================================================================================================
Skip  13 Packages

Nothing to do.
Complete!
[root@dave ~]# rpm -q dnf
dnf-1.1.9-2.fc24.noarch
[root@dave ~]#
Comment 13 Davide Repetto 2016-07-27 12:41:38 EDT
note:
the russianfedora repos have 'priority = 120'
Comment 14 Jaroslav Mracek 2017-05-12 15:38:22 EDT
I refactored reporting of skipped packages and errors report of solver in https://github.com/rpm-software-management/dnf/pull/782. Hope that it helps.
Comment 15 Fedora Update System 2017-05-22 08:41:29 EDT
dnf-plugins-extras-2.0.1-1.fc26 dnf-plugins-core-2.1.0-1.fc26 libdnf-0.9.0-1.fc26 dnf-2.5.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 16 Fedora Update System 2017-05-22 12:40:20 EDT
dnf-2.5.0-1.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 17 Fedora Update System 2017-05-24 04:32:33 EDT
dnf-2.5.0-1.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.17-3.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 18 Fedora Update System 2017-05-24 10:33:28 EDT
dnf-2.5.0-2.fc26 dnf-plugins-core-2.1.0-1.fc26 dnf-plugins-extras-2.0.1-1.fc26 dnfdaemon-0.3.18-1.fc26 libdnf-0.9.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 19 Fedora Update System 2017-05-25 15:17:52 EDT
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-92e5a01da8
Comment 20 Fedora Update System 2017-06-09 15:06:28 EDT
dnf-2.5.0-2.fc26, dnf-plugins-core-2.1.0-1.fc26, dnf-plugins-extras-2.0.1-1.fc26, dnfdaemon-0.3.18-2.fc26, libdnf-0.9.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.